<?php $canInvoice = commonModel::hasPriv('contract', 'invoice');?>
<?php $canCreate  = commonModel::hasPriv('crm.invoice', 'create');?>
<?php if($canInvoice or $canCreate):?>
<div id='invoiceList' class='hide'>
  <?php
  foreach($contracts as $contract)
  {
      echo '<div>';
      if($canInvoice && $contract->invoiceCount > 0) echo '<li>' . html::a(inlink('invoice', "contractID={$contract->id}"), $lang->contract->invoiceList, "class='invoice-list' data-toggle='modal' data-width='80%'") . '</li>';
      if($canCreate && $contract->invoiceCount == 0) echo '<li>' . html::a($this->createLink('crm.invoice', 'create', "customerID=&contractID={$contract->id}"), $lang->contract->invoiceList, "class='invoice-list'") . '</li>';
      echo '</div>';
  }
  ?>
</div>
<script>
$(function()
{
    $('tr td.actions').each(function(index)
    {
        var $div = $('#invoiceList div:nth-child(' + (index + 1) + ')');
        $(this).find('.dropdown-menu').prepend($div.html());
    });
});
</script>
<?php endif;?>
